Subject: Re: Why doesn't this work

From: "Joshua A. Laff" <[email-masked]>
Date: Thu, 15 Sep 1994 09:03:20 -0500 (CDT)

In our previous episode, Thomas Martin Widmann said:
:) I was wondering why this doesn't work:
:) 
:) :0ci
:) * [email-masked]
:) * ^Subject:.*Diplomacy results mdinito
:) | echo "list mdinito" | elm -s "MDINITMRQ" [email-masked]
:) 

Make sure the directory containing elm is in the PATH in your .procmailrc, or
call elm using it's full path. Lack of one of these will cause the problem you
reported.

If you turn on your LOGFILE and put it in verbose mode, you may also notice
an indication that this (or something else) is the problem.

      Joshua A. Laff    (217)      //  Disclaimer: If I was important enough
    CRL Head Operator     333-    //  that the UofI would let me speak for it,
  University of Illinois   7408  //  the *last* thing I'd be doing would be
email to: [email-masked]      //  sitting in front of a computer all day.
===============================================================================
"Get a life!"
"Can I ftp that from somewhere..?"

---

From: Roman Czyborra <[email-masked]>
Date: Sat, 17 Sep 1994 14:26:26 +0200

> Make sure the directory containing elm is in the PATH in your
> .procmailrc, or call elm using it's full path. Lack of one of these
> will cause the problem you reported.  If you turn on your LOGFILE
> and put it in verbose mode, you may also notice an indication that
> this (or something else) is the problem.

Two more things to check:

You might have SHELL=/etc/nologin for a login shell on your mailhost.
The pipe symbol from $SHELLMETAS would trigger a call of /etc/nologin
-c 'echo "list mdinito" | elm -s "MDINITMRQ" ...'  which of course
won't do what you want.  Try setting SHELL=/bin/sh beforehand.  If
that solves the problem and procmail is installed for all users at
your site, see if you can't get SHELL=/bin/sh compiled into config.h.

And does the subject actually contain exactly one space and no tab at
either end of the word `results'?  Otherwise say .+ instead of the
blanks there.